import React, { useRef } from "react";
import styled from "styled-components";
import useMap from "../../../hooks/useMap";
import useClickMarker from "./useClickMarker";

const MapDiv = styled.div`
  height: 100%;
  width: 100%;
`

export default ({ onMarkerMoved }) => {
  const mapDivRef = useRef(null);
  const mapRef = useMap(mapDivRef);
  useClickMarker(mapRef, onMarkerMoved);
  return <MapDiv ref={mapDivRef} />
}
